PDA

Visualizza versione completa : vBulletin VBuletin 3 errore



falco2
31-01-12, 17: 39
ciao a tutti
sto facendo delle prove nel "test" e da ieri che combato con questo errore ho mandato il fail "global.php" una decina di volte ma nulla da fare

http://falco2team.com/test/index.php

Warning: require_once([path]/includes/functions_rcd_pm_log.php) [function.require-once]: failed to open stream: No such file or directory in [path]/global.php(355) : eval()'d code on line 108

Fatal error: require_once() [function.require]: Failed opening required '/home/falco2/public_html/test/includes/functions_rcd_pm_log.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/falco2/public_html/test/global.php(355) : eval()'d code on line 108

Asterix
31-01-12, 18: 39
Ciao

vai in admincp e disattiva il plugin Private Messages & Email Log (http://www.vbulletin.org/forum/showthread.php?t=245243)

quando fai questi test ti consiglio di disabilitare tutti i plugin installati, in quanto se non carichi tutti i files ti segnala errore.

ti ricordo che per disattivare tutti i plugin dal file config.php puoi editare il file config.php inserire questa stringa

Only registered members can view PHP Code.
dopo

Only registered members can view PHP Code.

:bai

falco2
31-01-12, 18: 53
Ciao

vai in admincp e disattiva il plugin Private Messages & Email Log (http://www.vbulletin.org/forum/showthread.php?t=245243)

quando fai questi test ti consiglio di disabilitare tutti i plugin installati, in quanto se non carichi tutti i files ti segnala errore.

ti ricordo che per disattivare tutti i plugin dal file config.php puoi editare il file config.php inserire questa stringa

Only registered members can view PHP Code.
dopo

Only registered members can view PHP Code.

:bai

quella stringa celo ancchio, quello che strano e chenon cerano ne prodotti e ne plugin perche o installato il forum da zero e dera pulito finche o rifatto il repriestino con un backups a partire da li mia datto quel errore, ora prova a mandarci il tools.php perche non riesco a connettermi al forum


ok cancelato tutti i prodotti e funziona, ora carico la VB4 vediamo cosa sucede neeeeee:bgg2

Asterix
31-01-12, 19: 09
pulito finche o rifatto il repriestino con un backups a partire da li mia datto quel errore

I richiami ai prodotti sono nel db quindi è quello il motivo, comunque potevi provare con 1 anziché true nella stringa precedente

:bai

falco2
01-02-12, 02: 40
fatto upgrad di VB4.0.5 e mi ritrovo cosi

1821

Asterix
01-02-12, 07: 36
Certo è normale

quando tu crei un ambiente di test devi ricordarti di andar a cambiare le variabili URL forum e URL Homepage presenti nelle opzioni.

Gli stili prendono la variabile url forum per la composizione dei percorsi.

Ora dovrebbe essere tutto OK.

:bai

falco2
01-02-12, 21: 12
quando vado in ADM / Manutenzione / Aggiorna contatori / mi ritrovo questo errore
questo errore lo da anche quando vado a visualizare una sezzione, e non solo in DMN
1822

Asterix
02-02-12, 07: 27
L'errore è legato al sistema plugin da quanto mi pare di capire, sinceramente non conoscendo come hai fatto l'upgrade non posso sbilanciarmi più di tanto.

Io farei così visto che è una board di test:

1. eseguire il backup del db online con tutti gli addon disabilitati
2. caricare il backup del db appena fatto sul database di test
3. lanciare l'upgrade del vb ambiente di test
4. verificare il corretto funzionamento dell'ambiente di test.

Edit ti rammento anche questa guida http://www.collectiontricks.it/forum/webmania/Ct2234-vbulletin-aggiornare-board.html

:bai

falco2
02-02-12, 12: 06
L'errore è legato al sistema plugin da quanto mi pare di capire, sinceramente non conoscendo come hai fatto l'upgrade non posso sbilanciarmi più di tanto.

Io farei così visto che è una board di test:

1. eseguire il backup del db online con tutti gli addon disabilitati
2. caricare il backup del db appena fatto sul database di test
3. lanciare l'upgrade del vb ambiente di test
4. verificare il corretto funzionamento dell'ambiente di test.

Edit ti rammento anche questa guida http://www.collectiontricks.it/forum/webmania/Ct2234-vbulletin-aggiornare-board.html

:bai

ciao bello

allora quelo che ho fato e

1. installato da zero VB3
2. mandato il Backup sempre del VB3 Ripristino del database
3. cancelato tutti i prodoti
4. fato upgrade del VB4


mi sa che cancello il tutto e rifaccio tutto da zero vediamo cosa viene fuori, vi tengo informati neee

Asterix
02-02-12, 13: 13
Allora non devi reinstallare vb3 da zero.

1. fai una copia speculare del tuo ambiente online (file) nell'ambiente di test
2. nell'ambiente di test procedi con il cambio del file config.php (in modo tale da far comunicare con il db di test e non quello online)
3. dal pannello admin vari i due percorsi indicati in precedenza e disabiliti tutti i plugin
4. caricare tutti i file vb4 nell'ambiente di prova
5. procedere con upgrade.
6. verificare se tutto ok

:bai

falco2
02-02-12, 13: 19
Allora non devi reinstallare vb3 da zero.

1. fai una copia speculare del tuo ambiente online (file) nell'ambiente di test
2. nell'ambiente di test procedi con il cambio del file config.php (in modo tale da far comunicare con il db di test e non quello online)
3. dal pannello admin vari i due percorsi indicati in precedenza e disabiliti tutti i plugin
4. caricare tutti i file vb4 nell'ambiente di prova
5. procedere con upgrade.
6. verificare se tutto ok

:bai

fato il Ripristino del database del VB3 e cancelato tutti i plugin e funziona tutto, ora mando VB4

falco2
02-02-12, 14: 47
nulla da fare dopo l'upgrad di VB4 sempre stesso errore Database error, quando si entra a leggere una sezione

come detto sopra
1823

Asterix
03-02-12, 07: 18
Vb4 richiede mysql 5 verifica se il tuo spazio è dotato di questa versione.

:bai

cydonia
03-02-12, 10: 17
l'immagine e' troppo piccola e non si vede l'output,comunque interrogando il server dice che la versione e' MySQL 5.1.56 versione del php?
:bai

falco2
03-02-12, 12: 07
normale mysql 5 celo ancchio, questo server e uguale a quello di efisio a lu glio montato il VB4 senza problemi, comunque controllo

ok controlato ora ho questa Versione MySQL client: 5.1.56 dofrebe funzionare

Asterix
03-02-12, 19: 12
Ciao

ho visto che hai eseguito l'upgrade alla 4.0.5 ora siamo alla 4.1.10, dalla tua area manager fino a che versione riesci ad aggiornare?

Io con la versione 4.1.10 e il materiale fornito in locale ho fatto l'upgrade tranquillamente.

:bai

falco2
03-02-12, 21: 36
Ciao

ho visto che hai eseguito l'upgrade alla 4.0.5 ora siamo alla 4.1.10, dalla tua area manager fino a che versione riesci ad aggiornare?

Io con la versione 4.1.10 e il materiale fornito in locale ho fatto l'upgrade tranquillamente.

:bai

la versione 4.1.10 io la posso scaricara solo e unaltra licenza, la mia 3.8.7 e scaduta e mi fa scaricare solo la 4.0.5, la versione 4.1.10 e quella di evisio

Asterix
04-02-12, 06: 50
Sinceramente tra la versione 3.8.7 e la 4.0.5 forse ti conviene rimanere alla 3.8.7, oggi provo a scaricare il pacchetto 4.0.5 e provo nuovamente a convertire il db.

:bai

Edit: eseguito test sulla 4.0.5 pl6 e funziona tutto alla perfezione, a questo punto è necessario verificare i files caricati come ftp ed eventualmente il tuo hosting.


:bai

falco2
04-02-12, 11: 13
Sinceramente tra la versione 3.8.7 e la 4.0.5 forse ti conviene rimanere alla 3.8.7, oggi provo a scaricare il pacchetto 4.0.5 e provo nuovamente a convertire il db.

:bai

Edit: eseguito test sulla 4.0.5 pl6 e funziona tutto alla perfezione, a questo punto è necessario verificare i files caricati come ftp ed eventualmente il tuo hosting.


:bai

strana la cosa, perche ad efisio quando glio fato upgrade da VB3.8 alla 4.0 e andato tutto bene, e poi abbiamo lo steso hosting io ed efisio
comunque io sto cercando di cambiare hosting